@ECHO off

COLOR 17
:Menu
::

SET CS5Preset="C:\Program Files\Adobe\Adobe Premiere Pro CS5\Presets"
SET CS55Preset="C:\Program Files\Adobe\Adobe Premiere Pro CS5.5\Presets"
SET CS6Preset="C:\Program Files\Adobe\Adobe Premiere Pro CS6\Presets"
SET CCPreset="C:\Program Files\Adobe\Adobe Premiere Pro CC\Presets"
SET CC4Preset="C:\Program Files\Adobe\Adobe Premiere Pro CC 2014\Presets"
SET CC15Preset="C:\Program Files\Adobe\Adobe Premiere Pro CC 2015\Presets"
::
CLS
ECHO.
ECHO.         
ECHO         Cinema FX Installer -- Program Version 4.0  07/15/2015
ECHO.
ECHO                        For Windows 7 64bit Only
ECHO   or Premiere CS5, CS5.5, CS6, CC, CC 2014 and CC 2015 that is installed
ECHO            on the C Drive in the Adobe's defaulty directory.
ECHO.
ECHO.
ECHO        This program allows you to install Cinema FX Presets
ECHO.    
ECHO            1) Install into Adobe Premiere Pro CS5
ECHO            2) Install into Adobe Premiere Pro CS5.5
ECHO            3) Install into Adobe Premiere Pro CS6
ECHO            4) Install into Adobe Premiere Pro CC
ECHO            5) Install into Adobe Premiere Pro CC 2014
ECHO            5) Install into Adobe Premiere Pro CC 2015
ECHO            6) Exit this Program
ECHO.
ECHO.
::
CHOICE /C 1234567 /M "Enter your Choice 1, 2, 3, 4, 5, 6 or 7" /N
::
IF ERRORLEVEL 7 GOTO End
IF ERRORLEVEL 6  GOTO PR15CC
IF ERRORLEVEL 5  GOTO PR4CC
IF ERRORLEVEL 4  GOTO PRCC
IF ERRORLEVEL 3  GOTO CS6
IF ERRORLEVEL 2  GOTO PRESET5
IF ERRORLEVEL 1  GOTO Premiere
::



::
:Premiere
CLS
ECHO.
ECHO.
ECHO.
ECHO    Installing.....
ECHO.
ECHO.
CD /d "%~dp0"
COPY /Y Cinema-FX.prfpset %CS5Preset%
::
:: Test to see if the file copied.
IF not EXIST %CS5Preset%\Cinema-FX.prfpset  GOTO ERRORMSG1
ECHO    Cinema FX is now Installed
ECHO.
PAUSE
GOTO adobe
::
::



::
:PRESET5
CLS
ECHO.
ECHO.
ECHO.
ECHO    Installing.....
ECHO.
ECHO.
CD /d "%~dp0"
COPY /Y Cinema-FX.prfpset %CS55Preset%
::
:: Test to see if the file copied.
IF not EXIST %CS55Preset%\Cinema-FX.prfpset  GOTO ERRORMSG1

ECHO    Cinema FX is now Installed
ECHO.
PAUSE
GOTO adobe
::
::



::
:CS6
CLS
ECHO.
ECHO.
ECHO.
ECHO    Installing.....
ECHO.
ECHO.
CD /d "%~dp0"
COPY /Y Cinema-FX.prfpset %CS6Preset%
::
:: Test to see if the file copied.
IF not EXIST %CS6Preset%\Cinema-FX.prfpset  GOTO ERRORMSG1
ECHO    Cinema FX is now Installed
ECHO.
PAUSE
GOTO adobe



::
:PRCC
CLS
ECHO.
ECHO.
ECHO.
ECHO    Installing.....
ECHO.
ECHO.
CD /d "%~dp0"
COPY /Y Cinema-FX.prfpset %CCPreset%
::
:: Test to see if the file copied.
IF not EXIST %CCPreset%\Cinema-FX.prfpset  GOTO ERRORMSG1
ECHO    Cinema FX is now Installed
ECHO.
PAUSE
GOTO adobe


::
:PR4CC
CLS
ECHO.
ECHO.
ECHO.
ECHO    Installing.....
ECHO.
ECHO.
CD /d "%~dp0"
COPY /Y Cinema-FX.prfpset %CC4Preset%
::
:: Test to see if the file copied.
IF not EXIST %CC4Preset%\Cinema-FX.prfpset  GOTO ERRORMSG1
ECHO    Cinema FX is now Installed
ECHO.
PAUSE
GOTO adobe


::
:PR15CC
CLS
ECHO.
ECHO.
ECHO.
ECHO    Installing.....
ECHO.
ECHO.
CD /d "%~dp0"
COPY /Y Cinema-FX.prfpset %CC15Preset%
::
:: Test to see if the file copied.
IF not EXIST %CC15Preset%\Cinema-FX.prfpset  GOTO ERRORMSG1
ECHO    Cinema FX is now Installed
ECHO.
PAUSE
GOTO adobe

::
: : Instructions for importing into Premiere
:adobe
CLS
ECHO  You have 1 more step. You need to import Cinema-FX into Premiere.
ECHO  Here is how you do it.
ECHO  1) Start up Premiere and Open a Project.
ECHO  2) Once the Premiere Project loads, look in the bottom left area of the
ECHO     screen. You will see a tab mark Effects. Click on the Effects tab.
ECHO  3) Right Click on the folder marked Presets and then select Import Preset.
ECHO.
ECHO  For Premiere CS5, navigate to the
ECHO      C:\Program Files\Adobe\Adobe Premiere Pro CS5\Presets folder.
ECHO  For Premiere CS5.5, navigate to the
ECHO      C:\Program Files\Adobe\Adobe Premiere Pro CS5.5\Presets folder.
ECHO  For Premiere CS6, navigate to the
ECHO      C:\Program Files\Adobe\Adobe Premiere Pro CS6\Presets folder.
ECHO  For Premiere CC, navigate to the
ECHO      C:\Program Files\Adobe\Adobe Premiere Pro CC\Presets folder.
ECHO  For Premiere CC 2014, navigate to the
ECHO      C:\Program Files\Adobe\Adobe Premiere Pro CC 2014\Presets folder.
ECHO  For Premiere CC 2015, navigate to the
ECHO      C:\Program Files\Adobe\Adobe Premiere Pro CC 2015\Presets folder.
ECHO.
ECHO   There you will see the Preset file called Cinema-FX.prfpset Click on
ECHO   that filename and then select Open. The Presets will now be installed.
PAUSE
GOTO Menu


::
::
:ERRORMSG1
CLS
COLOR 47
ECHO.
ECHO.
ECHO               ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO         Cinema FX did NOT install properly. Try the following:
ECHO.
ECHO   1. Rerun the program and make sure you RIGHT click on the
ECHO       program name and select Run as Adminstrator
ECHO.
ECHO   2. Make sure you selected the correct version of Adobe Products that
ECHO       you are using in the Menu selection.
ECHO.
ECHO   3. If none of the above works, you may have to follow the
ECHO       manual install instructions.
ECHO.
ECHO. 
PAUSE
GOTO End
;;
:End
EXIT
